Bug 202342 - multimedia/cheese fails when manpage option deselected
Summary: multimedia/cheese fails when manpage option deselected
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-15 10:01 UTC by sub.mesa
Modified: 2016-09-23 18:23 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)
w.schwarzenfeld: maintainer-feedback+


Attachments
svn-diff_multimedia_cheese-3.18 (1.02 KB, patch)
2016-02-26 15:33 UTC, w.schwarzenfeld
no flags Details | Diff
svn-diff_multimedia-cheese-3.18 (1.95 KB, patch)
2016-03-01 09:24 UTC, w.schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sub.mesa 2015-08-15 10:01:08 UTC
multimedia/cheese was recently updated to include a 'MANPAGES' option. However, when deselected it fails:

====> Compressing man pages (compress-man)
===>  Installing for cheese-3.16.1
===>  Checking if cheese already installed
===>   Registering installation for cheese-3.16.1 as automatic
pkg-static: Unable to access file /usr/ports/multimedia/cheese/work/stage/usr/local/man/man1/cheese.1.gz: No such file or directory
*** Error code 74

Stop.
make[5]: stopped in /usr/ports/multimedia/cheese
Comment 1 Marko Cupać 2016-02-26 12:59:07 UTC
(In reply to sub.mesa from comment #0)

Any news on this? I have the same problem with 3.8.1.
Comment 2 Marko Cupać 2016-02-26 13:02:51 UTC
Damn, a typo I can't fix.

I have the same problem with cheese-3.18.1.
Comment 3 w.schwarzenfeld 2016-02-26 14:45:59 UTC
In the moment no time for a patch

but
Makefile

48+  .if defined(MANPAGES)
49+  PLIST_SUB+= MANPAGES=""
50+  .else
51+  PLIST_SUB+= MANPAGES="@comment "
52+  .endif

and 
pkg-plist
-man/man1/cheese.1.gz
+%%MANPAGES%%man/man1/cheese.1.gz

should solve it.
Comment 4 w.schwarzenfeld 2016-02-26 15:33:09 UTC
Created attachment 167441 [details]
svn-diff_multimedia_cheese-3.18

found some minutes.
Comment 5 Marko Cupać 2016-03-01 07:38:36 UTC
(In reply to w.schwarzenfeld from comment #4)

I applied yor patch and cheese built cleanly with MANPAGES=off, thanks. Hopefully official port will be updated.
Comment 6 w.schwarzenfeld 2016-03-01 09:24:02 UTC
Created attachment 167598 [details]
svn-diff_multimedia-cheese-3.18

Only correct blanks to tabs.
Comment 7 Marko Cupać 2016-04-05 06:51:06 UTC
Still no fix in official port?
Comment 8 commit-hook freebsd_committer 2016-09-23 16:45:24 UTC
A commit references this bug:

Author: rm
Date: Fri Sep 23 16:45:18 UTC 2016
New revision: 422684
URL: https://svnweb.freebsd.org/changeset/ports/422684

Log:
  multimedia/cheese: fix packaging

  - fix packaging when MANPAGES option is off

  PR:		202342
  Reported by:	sub.mesa@gmail.com
  Obtained from:	gnome development repo
  MFH:		2016Q3
  With hat:   gnome

Changes:
  head/multimedia/cheese/Makefile
  head/multimedia/cheese/pkg-plist
Comment 9 Ruslan Makhmatkhanov freebsd_committer 2016-09-23 16:47:08 UTC
The fix is merged, thanks!
Comment 10 commit-hook freebsd_committer 2016-09-23 18:23:39 UTC
A commit references this bug:

Author: rm
Date: Fri Sep 23 18:22:51 UTC 2016
New revision: 422689
URL: https://svnweb.freebsd.org/changeset/ports/422689

Log:
  MFH: r422684

  multimedia/cheese: fix packaging

  - fix packaging when MANPAGES option is off

  PR:		202342
  Reported by:	sub.mesa@gmail.com
  Obtained from:	gnome development repo
  With hat:   gnome

  Approved by:    ports-secteam (feld)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/multimedia/cheese/Makefile
  branches/2016Q3/multimedia/cheese/pkg-plist